org.apache.fop.complexscripts.util

## Class DiscontinuousAssociationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.complexscripts.util.DiscontinuousAssociationException

All Implemented Interfaces:
  Serializable

    public class DiscontinuousAssociationException
    extends RuntimeException

Exception thrown during when attempting to map glyphs to associated characters in the case that the associated characters do not represent a compact interval.

This work was originally authored by Glenn Adams (gadams@apache.org).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DiscontinuousAssociationException()` Instantiate discontinuous association exception
`DiscontinuousAssociationException(String message)` Instantiate discontinuous association exception

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DiscontinuousAssociationException

    public DiscontinuousAssociationException()

Instantiate discontinuous association exception

#### DiscontinuousAssociationException

    public DiscontinuousAssociationException(String message)

Instantiate discontinuous association exception

Parameters:
  `message` - a message string